Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003965OCamlCamlp4public2006-01-26 10:262010-04-29 14:31
Reporterberke 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.09.0 
Target VersionFixed in Version3.10.0 
Summary0003965: "as pattern" syntax difference between camlp4o and yacc parsers
DescriptionOcaml rejects `(x,y) as z' but camlp4o accepts it.

% cat z.ml
fun (x,y) as z -> y;;
% ocamlc z.ml
File "z.ml", line 1, characters 10-12:
Syntax error
% ocamlc -pp camlp4o z.ml
File "z.ml", line 1, characters 4-14:
Warning Y: unused variable z.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004665)
ertai (developer)
2008-10-05 19:10

camlp4o no longer accept this syntax to be compatible with ocamlc.

- Issue History
Date Modified Username Field Change
2006-01-26 10:26 berke New Issue
2006-03-29 16:29 doligez Status new => acknowledged
2008-10-05 19:10 ertai Note Added: 0004665
2008-10-05 19:10 ertai Assigned To => ertai
2008-10-05 19:10 ertai Status acknowledged => resolved
2008-10-05 19:10 ertai Resolution open => fixed
2008-10-05 19:10 ertai Category OCaml general => Camlp4
2008-10-05 19:10 ertai Fixed in Version => 3.10.0
2010-04-29 14:31 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker